Subject: Re: [REGRESSION, PATCH] sky2 WOL fix

From: Jared <[email-masked]>
Date: Fri, 17 Feb 2012 14:13:05 -0600

On 02/17/2012 01:01 PM, Stephen Hemminger wrote:
> On Fri, 17 Feb 2012 19:21:53 +0100
> Knut Petersen <[email-masked]> wrote:
> 
>> Your commit broke existing support for WOL on a number of boards.
>> This is known to you and to bugzilla.kernel org since 2010.  A number of
>> people complained about that, but nothing happened.
>>
>> Neither your original commit description nor the description of the
>> PXE_LegNat_Sel I found at other places indicate that setting
>> PXE_LegNat_Sel could do any harm.
> 
> 
> Please lose the attitude. Any support of sky2 is done as a minor side
> project by me. People find a problem, I put in one fix, then someone else
> complains and another fix goes in. The regressions happen a lot in power management
> because the hardware is not well documented in this area and it is a complex
> interaction of kernel, BIOS, motherboard, and general shittiness of implementations.
> Because of that I am more likely to believe that what the Marvell code does
> is more based on experience on other platforms. The out-of-tree Marvell
> driver contains bits that are part of the Windows driver.

Attitudes aside, the general problem here is that someone (which I
believe is you, Stephen, based solely on the commit) committed a patch
two years ago which broke WoL support for a number of users.  I have no
doubt that you had some reason for making these changes, but a bug was
filed about this in 10/02/2010, followed by identification and
confirmation of both the problem and a solution 1 week later, and
absolutely nothing has been done since then.  Here's the bug:

https://bugzilla.kernel.org/show_bug.cgi?id=19492

I think we all understand that you volunteer your time for this, and I'm
most appreciative of your (and all kernel developer's) efforts, but
that's a long time for a known and easily fixable regression to be
ignored, without even a single comment on the issue since the fix was
identified.  And I will admit that I'm also pretty frustrated by the
need to re-patch the kernel on my server every single time I update it
to fix an obvious and known regression that, prior 2.6.34, worked
perfectly fine.

To Knut's points, my own motherboard (from Asus) is no longer supported
by the vendor either at this point, so a fix from that side is not
likely.  Is there any particular reason, any known side effects, why
this newer patch from Knut cannot be applied?  As thing's stand now,
there is already a definite problem, so unless there's a risk of
creating a larger, more widespread problem I think it'd make sense to
apply the patch and fix the current issue.

Clearly I'm no developer, but as a user that's been affected by this
problem for over a year and a half now I thought it worth chiming in.  I
hope some resolution can be reached on this.

Thanks.

-- 
Jared